Skip to main content

Updates a Service Group

PUT 

/qsystem/rest/config/operationProfiles/:operationProfileId/serviceGroups/:serviceGroupId

Updates a Service Group. It is not possible to set anything other than "QUEUE" as the type for the default queue.

Update a service group. Setting the parameter segmentationRules to null or [] (empty list) will remove all existing segmentation rules from the service group. In this example, where the segmentationRules parameter is null, the result will be a service group without segmentation rules.

curl -u user:password -i -X PUT -H 'content-type:application/json' -d '{"id": 5, "services": [1, 2],
"defaultQueue": {"id": 1,"name": "Default Queue","queueLetters": "A","start": 100,"end": 299,"serviceLevel": 5,"type": "QUEUE"}}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/serviceGroups/{serviceGroupId}

Update a service group with a segmentation rule. The existing segmentation rule will be updated.

curl -u user:password -i -X PUT -H 'content-type:application/json' -d '{"id": 5, "services": [1, 2],
"defaultQueue": {"id": 1,"name": "Default Queue","queueLetters": "A","start": 100,"end": 299,"serviceLevel": 5,"type": "QUEUE"},
"segmentationRules": [{"id": 1,"name": "apptmt","ruleConditions": [{"id": 1,"ruleConditionTemplateId": 8,"values": "{}"}],
"queue": {"id": 2,"name": "apptmt Queue","queueLetters": "B","start": 100,"end": 299,"serviceLevel": 5,"type": "APPOINTMENT_QUEUE"}}]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/serviceGroups/{serviceGroupId}

Queue letter field is mandatory, but the empty queue letter is allowed which will remove the letter from the queue. Queue start and end fields are mandatory.

Request​

Responses​

A ServiceGroup